summaryrefslogtreecommitdiffstats
path: root/src/nasm-wrapper
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 18:45:59 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 18:45:59 +0000
commit19fcec84d8d7d21e796c7624e521b60d28ee21ed (patch)
tree42d26aa27d1e3f7c0b8bd3fd14e7d7082f5008dc /src/nasm-wrapper
parentInitial commit. (diff)
downloadceph-upstream/16.2.11+ds.tar.xz
ceph-upstream/16.2.11+ds.zip
Adding upstream version 16.2.11+ds.upstream/16.2.11+dsupstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'src/nasm-wrapper')
-rwxr-xr-xsrc/nasm-wrapper43
1 files changed, 43 insertions, 0 deletions
diff --git a/src/nasm-wrapper b/src/nasm-wrapper
new file mode 100755
index 000000000..9e950ff58
--- /dev/null
+++ b/src/nasm-wrapper
@@ -0,0 +1,43 @@
+#!/usr/bin/env bash
+
+set -e
+
+refine_nasm_options=""
+while [ -n "$*" ]; do
+ case "$1" in
+ -f )
+ shift
+ refine_nasm_options="$refine_nasm_options -f $1"
+ shift
+ ;;
+ -c | --param* | -m* | -pipe | -thread )
+ # unknown options under nasm & yasm
+ shift
+ ;;
+ -g* )
+ # ignore debug format
+ shift
+ ;;
+ -W* )
+ # Warning/error option
+ shift
+ ;;
+ -f* )
+ shift
+ ;;
+ -I | -isystem )
+ shift
+ refine_nasm_options="$refine_nasm_options -i $1"
+ shift
+ ;;
+ * )
+ # Keep other options
+ refine_nasm_options="$refine_nasm_options $1"
+ shift
+ ;;
+ esac
+done
+
+nasm $refine_nasm_options
+
+true